<?php
/**
 * Copyright © 2016 Filoblu S.r.l. All rights reserved.
 */
namespace FiloBlu\Esb\Api;

/**
 * @api
 *
 * Interface ExternalShipmentInterface
 * @package FiloBlu\Esb\Api
 */
interface ExternalShipmentInterface
{

    /**
     * @api
     *
     * Save External shipment.
     *
     * @param \Magento\Sales\Api\Data\ShipmentInterface $shipment_data
     * @return \FiloBlu\Esb\Api\Data\AcknowledgeInterface
     */
    public function save(\Magento\Sales\Api\Data\ShipmentInterface $shipment_data);
}
